
Ruby - Bug #12846

delete

10/17/2016 06:13 AM - Osanda (Osanda Jayathissa)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

We can crash a computer by making it's Disk and Memory to 100% and CPU too above 50%.

The issue is when performing illogical ranges and converting them to an array.

Proof of Concept:

('malith'..'osanda').to_a

I have tested on a 64-bit Windows 10 machine. After few minutes the whole PC would get stuck and the user will have to restart the

PC.

History

#1 - 10/17/2016 06:33 AM - Osanda (Osanda Jayathissa)

- File deleted (Screenshot_3.png)

#2 - 10/17/2016 06:34 AM - Osanda (Osanda Jayathissa)

- Subject changed from Crash in Ranges to delete

- ruby -v deleted (ruby 2.3.1p112 (2016-04-26 revision 54768) [x64-mingw32])

#3 - 10/17/2016 06:53 AM - duerst (Martin Dürst)

- Status changed from Open to Rejected

Osanda Jayathissa wrote:

We can crash a computer by making it's Disk and Memory to 100% and CPU too above 50%.

 I have tested on a 64-bit Windows 10 machine. After few minutes the whole PC would get stuck and the user will have to restart the PC.

 You can do this in many different ways, with most if not all programming languages, and with most operating systems.

Just generate more and more objects, or on a lower level (e.g. C), allocate more and more memory.

In general, if you wait long enough (which may be 5 or more minutes), the OS will tell the process that there is no memory anymore, and will kill the

process. Then the machine will work again normally.
